import { Separator } from "./Separator"

interface GalleryTitleHeaderProps {
    title?: string;
    relatedGalleriesCount?: {
        current: number;
        total: number;
    };
}

export function GalleryTitleHeader({
    title = "워썬더 갤러리",
    relatedGalleriesCount = { current: 2, total: 8 },
}: GalleryTitleHeaderProps = {}) {
    return (
        <header className="bg-transparent h-[37px] mb-[3px] pt-[4px] text-gray-500">
            <div className="flex justify-between items-center">
                <div className="flex items-center">
                    <h2 className="mt-[-2px] mr-[6px] ml-[2px] text-[24px] max-w-[420px] font-[nanumGothic] tracking-[-1px] m-[2px_8px_0_3px] overflow-hidden whitespace-nowrap text-ellipsis text-custom-blue-dark">
                        <a className="text-custom-blue-dark font-bold">
                            {title}
                            <div className="bg-sp-img bg-no-repeat inline-block align-top ml-[4px] w-[22px] h-[22px] bg-[-195px_-844px] mt-[3px]">
                            </div>
                        </a>
                    </h2>
                </div>
                <div className="flex items-center text-[12px]">
                    <div className="relative inline-block">
                        <button className="cursor-pointer align-top relative">
                            설정
                        </button>
                        <span className="mr-[2px] leading-10px">
                            <em className="sr-only">New</em>
                            <em className="bg-sp-img bg-no-repeat inline-block w-[6px] h-[6px] ml-[4px] align-[4px] leading-[30px] bg-[-70px_-59px]">
                            </em>
                        </span>
                    </div>
                    <Separator />
                    <button className="cursor-pointer align-top font-sans">
                        연관 갤러리({relatedGalleriesCount.current}/{relatedGalleriesCount.total})
                        <span className="mr-[2px] ml-[2px] hidden">
                        </span>
                        <em className="bg-sp-img bg-no-repeat inline-block w-[9px] h-[5px] bg-[-115px_-43px] align-[1px] ml-[2px]">
                        </em>
                    </button>
                    <Separator />
                    <button className="cursor-pointer align-top"
                        onClick={() => {
                            prompt("해당 글의 주소입니다.\nCtrl+C를 눌러 클립보드로 복사하세요.",
                                window.location.href
                            )
                        }}
                    >
                        갤주소 복사
                    </button>
                    <Separator />
                    <button className="cursor-pointer align-top">이용안내</button>
                    <Separator />
                    <button className="cursor-pointer align-top">
                        <em className="bg-sp-img bg-no-repeat inline-block w-[15px] h-[15px] bg-[-56px_-168px] mt-[1px]">
                        </em>
                    </button>
                </div>
            </div>
        </header>
    );
}
